%define module_name App-Git-IssueManager-SyncJira
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Git/IssueManager.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Git/IssueManager.pm) perl(Git/IssueManager/Issue.pm) perl(Git/LowLevel.pm) perl(JIRA/Client/Automated.pm) perl(MooseX/App/Command.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2
Release: alt1
Summary: class implementing the sync_jira issue command of the GIT IssueManager
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BY/BYTERAZOR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Through the sync_jira command issues can be synced from the JIRA Project Management Software to git-issue.

  At the moment only importing issues from JIRA is supported!

  Mapping Issues from Jira to git-issue is not so easy because types, priorities, and stati do not much.
  To overcome these problems the command provides type, priority and stati mapping options.
  This command provides no complete support for all Jira issue attributes just enough to support my requiremens.

  If you have the need for a more thourough implementation just message me byterazor@federationhq.de.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README CHANGES
%perl_vendor_privlib/A*

%changelog
* Mon Mar 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1
- updated by package builder

* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- initial import by package builder

